Recent

Author Topic: ANN: New mORMot Client with MongoDB 5.1/6 Support  (Read 277 times)

abouchez

  • New Member
  • *
  • Posts: 46
ANN: New mORMot Client with MongoDB 5.1/6 Support
« on: August 12, 2022, 07:29:09 pm »
Starting with its version 5.1, MongoDB disabled the legacy protocol used for communication since its beginning.
As a consequence, our mORMot client was not able to communicate any more with the latest versions of MongoDB instances.
 :o

Last week, we made a deep rewrite of https://github.com/synopse/mORMot2/blob/master/src/db/mormot.db.nosql.mongodb.pas, which changed the default protocol to use the new layout on the wire. Now messages use regular MongoDB Database Commands, with automated compression if needed.
 :-*

No change is needed in your end-user MongoDB or ORM/ODM code. The upgrade is as simple as update your mORMot 2 source, then recompile.
 O:-)

You can read more at:
https://blog.synopse.info/?post/2022/08/12/New-Client-for-MongoDB-5.1/6-Support

 

TinyPortal © 2005-2018